Update a project
curl --request POST \
--url https://api.phare.io/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
}
}
'import requests
url = "https://api.phare.io/projects/{projectId}"
payload = {
"name": "Luminous Guiding Tower",
"members": [1, 2, 3],
"settings": {
"use_incident_ai": True,
"use_incident_merging": True,
"incident_merging_time_window": 60
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Luminous Guiding Tower',
members: [1, 2, 3],
settings: {
use_incident_ai: true,
use_incident_merging: true,
incident_merging_time_window: 60
}
})
};
fetch('https://api.phare.io/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"id": 1,
"slug": "luminous-guiding-tower",
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Projects
Update a project
Update a project by ID
POST
/
projects
/
{projectId}
Update a project
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Path Parameters
ID of the project to update
Body
application/json
Project request
Response
Success, project updated
Project name
Example:
"Luminous Guiding Tower"
List of team members that are part of this project
Required array length:
1 - 100 elementsExample:
[1, 2, 3]
Project ID
Example:
1
Project slug
Example:
"luminous-guiding-tower"
Project settings
Show child attributes
Show child attributes
Date of creation for the entity
Date of last update for the entity
Last modified on February 12, 2026
Was this page helpful?
⌘I